<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

if($_GET['orden']) $orden=$_GET['orden'];
else $orden=$_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden'];

unset($_SESSION['ultimaCantidadEtiquetadaPrecintada']);

if($_POST['botonAsociarTrabajadores']) {

	$trabajadores='';

	foreach($_POST as $campo=>$valor) {
		if(substr($campo,0,22)=='seleccionarTrabajador-') {
			$trabajador=substr($campo,22,strlen($campo));
			$trabajadores.=$trabajador.';';
		}
	}
	
	$trabajadores=substr($trabajadores,0,-1);

	$peticion='SGAFichajesAsociarTrabajador#'.$_SESSION['empresa'].'#'.strtoupper($_SESSION['accion']).'#'.$orden.'#'.$trabajadores;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
}

?>

<form id="formularioTrabajadores" name="formularioTrabajadores" method="post" action="">

<div id="popupTrabajadores" class="popup" style="display:none;overflow:scroll">
    <div class="popupContenidoScroll">
    	<div id="popupTrabajadoresDetalle"></div>
	</div>
</div>

</form>

<?php



$peticion='SGAPrecintados#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEETIPREC#'.$_SESSION['almacen'].';'.$orden;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	
$_SESSION['ordenEtiquetadoPrecintado']=$resultado[0];

//print_r($_SESSION['ordenEtiquetadoPrecintado']);

?>

<h2>Orden de <?php echo ucfirst($_SESSION['accion']); ?> Nº <?php echo $_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden']; ?></h2>

<table class="tablaFormateada" style="margin:0 auto">
    <tr>
        <?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
        <th>Nº Orden</th>
        <th>Fecha Orden</th>
        <th>Estado</th>
        <th>Producto</th>
        <th>Descripción</th>
        <?php if($_SESSION['accion']=='etiquetado') { ?><th>Idioma</th><?php } ?>
        <th>Observaciones</th>
    </tr>
    <tr>
		<?php if(count($_SESSION['empresas'])>1) { ?><td valign="top"><?php echo $_SESSION['ordenEtiquetadoPrecintado']['Empresa']; ?></td><?php } ?>
		<td valign="middle"><?php echo $_SESSION['ordenEtiquetadoPrecintado']['NumeroOrden']; ?></td>
		<td valign="middle"><?php echo fechaNacional($_SESSION['ordenEtiquetadoPrecintado']['FechaCreacion']); ?></td>
		<td valign="middle"><?php echo $_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']; ?></td>
		<td valign="middle"><?php echo $_SESSION['ordenEtiquetadoPrecintado']['Producto']; ?></td>
		<td valign="middle"><?php echo $_SESSION['ordenEtiquetadoPrecintado']['NombreProducto']; ?></td>
	    <?php if($_SESSION['accion']=='etiquetado') { ?><td valign="middle"><?php echo $_SESSION['ordenEtiquetadoPrecintado']['Idioma']; ?></td><?php } ?>
        <td valign="middle"><?php if($_SESSION['ordenEtiquetadoPrecintado']['ObservacionesPedido']) { ?><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" alt="Observaciones" style="width:40px;height:40px" class="botonObservaciones clicable" observaciones="<?php echo $_SESSION['ordenEtiquetadoPrecintado']['ObservacionesPedido']; ?>" /><?php } ?></td>
    </tr>
</table>

<?php if($_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada') { ?>
<p>Esta Orden de <?php echo ucfirst($_SESSION['accion']); ?> está en curso.</p>
<?php } ?>

<?php 
$productos=arreglaArrayPXMobileProxiumResult($_SESSION['ordenEtiquetadoPrecintado']['Productos']);

if(count($productos)>0) {
?>
<h3>Listado de productos:</h3>
<table class="tablaFormateada">
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><?php } ?>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
			<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
			<th>Cant.</th>
			<th>Cajas</th>
	        <th><?php echo ucfirst($_SESSION['accion']); ?></th>
		</tr>
         <?php
         foreach($productos as $producto) {
			 
			 $datos=$producto['Datos']['PXMobileProxiumResult'];
			 
			 ?>
			 <tr class="<?php if($producto['CantidadPropuesta']==$producto['CantidadLeida']) { ?>verde<?php } ?>">
				<?php if(count($_SESSION['empresas'])>1) { ?><?php } ?>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<?php if($comportamiento['Activo']=='S') { ?>
                        <td>
                            <?php
                            foreach($datos as $dato) {
                                if($dato['Codigo']==$comportamiento['Codigo']) {
                                    echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
                                    break;
                                }
                            }
                            ?>                        </td>
                    <?php } ?>
                <?php } ?>
				<td align="right"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
				<td align="right"><?php echo number_format($producto['Cajas'],2,',','.'); ?></td>
			    <td align="right"><?php echo number_format($producto['CantidadLeida'],0,',','.'); ?></td>
		    </tr>
			<?php
        }
		?>
</table>

<?php

/////////////// GESTIÓN DE FICHAJES ////////////////

if($_SESSION['parametrosSGA']['Fichaje'.ucfirst($_SESSION['accion'])]=='S') {

	?><h3>Operarios asociados:</h3><?php
	
	$trabajadores=arreglaArrayPXMobileProxiumResult($_SESSION['ordenEtiquetadoPrecintado']['Trabajadores']);
	
	$hayTrabajadores=false;
	$unSoloTrabajador=false;
	$fichajesIniciados=false;
	
	if(count($trabajadores)>0) {
	
		$hayTrabajadores=true;
		
		if(count($trabajadores)==1) $unSoloTrabajador=true;
		
		?>
        <table class="tablaFormateada anchoMaximo">
        <tr>
            <th>Nº Operario</th>
            <th>Nombre</th>
            <th width="230">Otras Ordenes</th>
            <th>Desasociar</th>
        </tr>
    	<?php
		foreach($trabajadores as $trabajador) {
		
			$fichajeIniciado=false;
		
			$otrasOrdenes=arreglaArrayPXMobileProxiumResult($trabajador['OtrasOrdenes']);
			foreach($otrasOrdenes as $otraOrden) if($otraOrden['FichajeIniciado']=='S') { $fichajeIniciado=true; $fichajesIniciados=true; }
		
			?>
            <tr style="height:45px" <?php if($fichajeIniciado) { ?>class="rojo"<?php } ?>>
            	<td valign="top"><?php echo $trabajador['Trabajador']; ?></td>
            	<td valign="top"><?php echo $trabajador['Nombre']; ?></td>
            	<td valign="top">
                <?php
                foreach($otrasOrdenes as $otraOrden) {
                	?>
                    <div style="width:230px;clear:both;overflow:hidden">
                    <div style="width:115px;height:30px;float:left;text-align:left"><?php echo $otraOrden['TipoOrden']; ?></div><div style="width:85px;height:30px;float:left;text-align:left"><?php echo $otraOrden['NumOrden']; ?></div><div style="width:30px;height:30px;float:left"><?php if($otraOrden['FichajeIniciado']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/en-proceso.gif" width="25" height="25" /><?php } ?></div>
                    </div>
                    <?php
              	}
				?>
				</td><td>
                <?php if(! ($unSoloTrabajador && $_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada') ) { ?>
                <img class="desasociarTrabajador clicable" trabajador="<?php echo $trabajador['Trabajador']; ?>" nombre="<?php echo $trabajador['Nombre']; ?>" src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" width="18" height="18" />
                <?php } ?>
            </tr>
            <?php
		}
		?>
        </table>
        <?php
	}
	else {
		?><p>No hay ningún trabajador asociado a la orden.</p><?php
	}
	
	?>
    <p><input type="button" id="botonListadoTrabajadores" name="botonListadoTrabajadores" value="Asociar trabajadores" class="boton"/></p>
	
	<script>
	
	$(document).ready(function() {
		
		$('#botonListadoTrabajadores').on('click',function(e){
			e.preventDefault();
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/fichajes-listado-trabajadores-por-puesto.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'orden' : '<?php echo $orden; ?>' } )
			.done(function(data){
				$('#popupTrabajadoresDetalle').html(data);
				$('#popupTrabajadores').show();
				$('#popupCargando').hide();
			});
		});
		
		$('.desasociarTrabajador').on('click',function(e){
			
			e.preventDefault();
			
			<?php if( $_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada' && $unSoloTrabajador ) { ?>
				alert('No puedes desasociar el único trabajador mientras la orden esté en ejecución.');
			<?php } else { ?>
			
			var trabajador=$(this).attr('trabajador');
			var nombre=$(this).attr('nombre');
			
			confirm('¿Deseas desasociar de esta Orden a '+nombre+'?')
			.done(function() {
			
				$('#popupCargando').show();
				$.post( "<?php echo $rutaHtml; ?>/contenidos/fichajes-desasociar-trabajador.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'orden' : '<?php echo $orden; ?>' , 'trabajador' : trabajador } )
				.done(function(data){
					$('#popupCargando').hide();
					alert(nombre+'<br>Ha sido desasociado/a de esta Orden.')
					.done(function(){
						$('#popupCargando').show();
						window.location='orden-etiquetado-precintado.php';
					});
				});
			
			});
			
			<?php } ?>
			
		});
		
	});
	
	</script>
	
	<?php
}

//////////////// FIN GESTIÓN FICHAJES //////////////


}
else {
	?>
<p>Esta orden no tiene ningún producto asignado.</p><?php
}

?> 
<script>
$(document).ready(function() {

	$('.botonObservaciones').on('click',function(e){
		alert($(this).attr('observaciones'));
	});

	$('#botonSgteProducto').on("click",function(e){
	
		$('#popupCargando').show();
		
		<?php if($_SESSION['ordenEtiquetadoPrecintado']['EstadoUsuario']=='Iniciada') { ?>
			window.location='<?php echo $rutaHtml; ?>/orden-etiquetado-precintado-proceso.php';
		<?php } else { ?>
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-etiquetado-precintado-iniciar.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" )
				.done(function(data) {
					var resultado=data.split('#');
					if(resultado[0]==1) {
						$('#popupCargando').hide();
						alert('Error: '+resultado[1]);
					}
					else window.location='<?php echo $rutaHtml; ?>/orden-etiquetado-precintado-proceso.php';
			});
		<?php } ?>
	});

});
</script>
<?php

//echo "<p>Hay trabajadores: ".$hayTrabajadores."</p>";
//echo "<p>Hay fichajes iniciados: ".$fichajesIniciados."</p>";

include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-etiquetado-precintado.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>